PipeWire: node Struct Reference

PipeWire 0.3.34

Data Fields
node Struct Reference

## Data Fields
struct spa_list | link
| link in impl node_list More...
struct graph * | graph
struct descriptor * | desc
char | name [256]
char * | config
struct port | input_port [MAX_PORTS]
struct port | output_port [MAX_PORTS]
struct port | control_port [MAX_PORTS]
struct port | notify_port [MAX_PORTS]
uint32_t | n_hndl
void * | hndl [MAX_HNDL]
unsigned int | n_deps
unsigned int | visited:1
struct impl * | impl
enum pw_direction | direction
struct device * | device
uint32_t | id
struct pw_properties * | props
struct spa_node * | node
struct sm_node * | snode
unsigned int | acquired:1
struct sm_node * | node
struct endpoint * | endpoint
struct pw_impl_node * | adapter
struct sm_node * | obj
struct spa_hook | listener
unsigned char | active:1
unsigned char | communication:1
char * | media
struct spa_audio_info | format
struct node * | peer
struct node * | failed_peer
uint32_t | client_id
int32_t | priority
uint32_t | type
int | connect_count
int | failed_count
uint64_t | plugged
unsigned int | active:1
unsigned int | exclusive:1
unsigned int | enabled:1
unsigned int | configured:1
unsigned int | dont_remix:1
unsigned int | monitor:1
unsigned int | capture_sink:1
unsigned int | virtual:1
unsigned int | linking:1
unsigned int | have_passthrough:1
unsigned int | passthrough_only:1
struct pw_proxy * | proxy
struct spa_source * | idle_timeout

## Field Documentation

## ◆ acquired

unsigned int node::acquired

## ◆ active [1/2]

unsigned char node::active

Referenced by pw_impl_node_destroy(), pw_impl_node_is_active(), pw_impl_node_set_active(), and pw_impl_node_set_state().

## ◆ active [2/2]

unsigned int node::active

## ◆ adapter

struct pw_impl_node* node::adapter

## ◆ capture_sink

unsigned int node::capture_sink

## ◆ client_id

uint32_t node::client_id

## ◆ communication

unsigned char node::communication

## ◆ config

char* node::config

## ◆ configured

unsigned int node::configured

## ◆ connect_count

int node::connect_count

## ◆ control_port

struct port node::control_port[MAX_PORTS]

## ◆ desc

struct descriptor* node::desc

## ◆ device

struct device * node::device

## ◆ direction

enum pw_direction node::direction

## ◆ dont_remix

unsigned int node::dont_remix

## ◆ enabled

unsigned int node::enabled

## ◆ endpoint

struct endpoint * node::endpoint

## ◆ exclusive

unsigned int node::exclusive

## ◆ failed_count

int node::failed_count

## ◆ failed_peer

struct node* node::failed_peer

## ◆ format

struct spa_audio_info node::format

## ◆ graph

struct graph* node::graph

Referenced by spa_graph_link_signal_graph(), spa_graph_node_add(), and spa_graph_node_remove().

## ◆ have_passthrough

unsigned int node::have_passthrough

## ◆ hndl

void* node::hndl[MAX_HNDL]

## ◆ id

uint32_t node::id

Referenced by pw_impl_node_destroy().

## ◆ idle_timeout

struct spa_source* node::idle_timeout

## ◆ impl

struct impl * node::impl

## ◆ input_port

struct port node::input_port[MAX_PORTS]

## ◆ link

struct spa_list node::link

link in impl node_list

Referenced by spa_graph_node_add(), and spa_graph_node_remove().

## ◆ linking

unsigned int node::linking

## ◆ listener

struct spa_hook node::listener

## ◆ media

char * node::media

## ◆ monitor

unsigned int node::monitor

## ◆ n_deps

unsigned int node::n_deps

## ◆ n_hndl

uint32_t node::n_hndl

## ◆ name

char node::name[256]

Referenced by pw_impl_node_destroy().

## ◆ node [1/2]

struct sm_node* node::node

## ◆ node [2/2]

struct spa_node * node::node

Referenced by pw_impl_node_get_implementation(), pw_impl_node_set_implementation(), pw_impl_node_set_param(), and pw_impl_port_set_param().

## ◆ notify_port

struct port node::notify_port[MAX_PORTS]

## ◆ obj

struct sm_node * node::obj

## ◆ output_port

struct port node::output_port[MAX_PORTS]

## ◆ passthrough_only

unsigned int node::passthrough_only

## ◆ peer

struct node* node::peer

## ◆ plugged

uint64_t node::plugged

## ◆ priority

int32_t node::priority

## ◆ props

struct pw_properties * node::props

## ◆ proxy

struct pw_proxy * node::proxy

## ◆ snode

struct sm_node * node::snode

## ◆ type

uint32_t node::type

## ◆ virtual

unsigned int node::virtual

## ◆ visited

unsigned int node::visited

The documentation for this struct was generated from the following files:

- module-filter-chain.c
- alsa-monitor.c
- alsa-endpoint.c
- bluez-monitor.c
- bluez-endpoint.c
- bluez-autoswitch.c
- stream-endpoint.c
- policy-node.c
- v4l2-monitor.c
- v4l2-endpoint.c
- libcamera-monitor.c
- suspend-node.c